package aLibrary;

import javax.swing.*;
import javax.swing.event.*;
import java.awt.event.*;
import java.awt.*;
import java.io.Serializable;

/* A3ButtonWindow objects are like AWindow objects, except for the addition
	of three buttons (LEFT, MID and RIGHT).  Objects of this type are designed 
	be used in conjunction with A3ButtonHandler class to handle events.
    Author:  David Riley -- July, 2000 */

public class A3ButtonWindow extends AWindow implements Serializable  {

	private A3ButtonHandler theActionHandler;
	private AButton leftButton, midButton, rightButton;

// Constructor 
	/*	postcondition 
			this AWindow is instantiated
			AND  getForeground() == Color.black 
			AND  getBackground() == Color.white 
			AND  getX() == 10   AND  getY() ==10   
			AND  getWidth() == 600  AND  getHeight() == 500   
			AND  getTitle == "3 Button Window"   */
	public A3ButtonWindow(A3ButtonHandler m) {  
		super(10, 10, 600, 500);  
		setTitle("3 Button Window");
		theActionHandler = m;
		leftButton = new AButton(100, 450, 100, 30);
		leftButton.setText("LEFT");
		leftButton.addActionListener(this);
		leftButton.place(this);
		midButton = new AButton(250, 450, 100, 30);
		midButton.setText("MID");
		midButton.addActionListener(this);
		midButton.place(this);
		rightButton = new AButton(400, 450, 100, 30);
		rightButton.setText("RIGHT");
		rightButton.addActionListener(this);
		rightButton.place(this);
		leftButton.repaint();
		midButton.repaint();
		rightButton.repaint();
	}

//Event Handler
	/* 	This method is called whenever any of the three
		buttons is clicked   */
	public void actionPerformed(ActionEvent e)  {
		if (e.getSource() instanceof MenuItem)
			System.exit(0);
		else if (e.getSource() == leftButton)
			theActionHandler.leftAction();
		else if (e.getSource() == midButton)
			theActionHandler.midAction();
		else if (e.getSource() == rightButton)
			theActionHandler.rightAction();      
	}
}